#pragma once
#include "BaseForm.h"
using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace ObjDataEdit
{
	/// <summary> 
	/// Summary for RecipeForm
	///
	/// WARNING: If you change the name of this class, you will need to change the 
	///          'Resource File Name' property for the managed resource compiler tool 
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
#ifndef _Just_Show_DotNet_Form_
    public __gc class RecipeForm : public System::Windows::Forms::Form
#else 
    public __gc class RecipeForm : public BaseForm
#endif	
	{
	public: 
        RecipeForm( char* FormName , char* DBName , char* OutputFile  , bool IsReadOnly , SearchFormTypeENUM FormType ) :  BaseForm( FormName , DBName , OutputFile  , IsReadOnly , FormType )
        {
            InitializeComponent();
            this->panel4_Base->Controls->Add(this->panel1);
        }  

       
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
    private: System::Windows::Forms::Panel *  panel1;
    private: System::Windows::Forms::GroupBox *  groupBox1;
    private: System::Windows::Forms::GroupBox *  groupBox2;

    private: System::Windows::Forms::TextBox *  textBox9;

    private: System::Windows::Forms::TextBox *  textBox8;

    private: System::Windows::Forms::TextBox *  textBox7;

    private: System::Windows::Forms::TextBox *  textBox6;

    private: System::Windows::Forms::TextBox *  textBox5;

    private: System::Windows::Forms::TextBox *  textBox4;

    private: System::Windows::Forms::TextBox *  textBox1;
    private: System::Windows::Forms::GroupBox *  groupBox4;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown7;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown6;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown5;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown4;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown3;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown2;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown1;
    private: System::Windows::Forms::GroupBox *  groupBox3;

    private: System::Windows::Forms::TextBox *  textBox2;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown8;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown9;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown10;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown11;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown12;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown13;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown14;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown15;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown16;
    private: System::Windows::Forms::GroupBox *  groupBox5;
    private: System::Windows::Forms::GroupBox *  groupBox7;

    private: System::Windows::Forms::TextBox *  textBox3;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown17;
    private: System::Windows::Forms::Label *  label3;
    private: System::Windows::Forms::Label *  label4;

    private: System::Windows::Forms::TextBox *  textBox10;
    private: System::Windows::Forms::GroupBox *  groupBox8;

    private: System::Windows::Forms::TextBox *  textBox11;
    private: System::Windows::Forms::Label *  label7;
    private: System::Windows::Forms::Label *  label8;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown18;

    private: System::Windows::Forms::TextBox *  textBox12;
    private: System::Windows::Forms::GroupBox *  groupBox9;

    private: System::Windows::Forms::TextBox *  textBox13;
    private: System::Windows::Forms::Label *  label11;
    private: System::Windows::Forms::Label *  label12;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown19;

    private: System::Windows::Forms::TextBox *  textBox14;
    private: System::Windows::Forms::GroupBox *  groupBox10;

    private: System::Windows::Forms::TextBox *  textBox15;
    private: System::Windows::Forms::Label *  label15;
    private: System::Windows::Forms::Label *  label16;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown20;

    private: System::Windows::Forms::TextBox *  textBox16;
    private: System::Windows::Forms::GroupBox *  groupBox11;

    private: System::Windows::Forms::TextBox *  textBox17;
    private: System::Windows::Forms::Label *  label19;
    private: System::Windows::Forms::Label *  label20;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown21;

    private: System::Windows::Forms::TextBox *  textBox18;
    private: System::Windows::Forms::GroupBox *  groupBox12;

    private: System::Windows::Forms::TextBox *  textBox19;
    private: System::Windows::Forms::Label *  label23;
    private: System::Windows::Forms::Label *  label24;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown22;

    private: System::Windows::Forms::TextBox *  textBox20;
    private: System::Windows::Forms::GroupBox *  groupBox6;

    private: System::Windows::Forms::TextBox *  textBox21;
    private: System::Windows::Forms::Label *  label27;
    private: System::Windows::Forms::Label *  label28;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown23;

    private: System::Windows::Forms::TextBox *  textBox22;
    private: System::Windows::Forms::GroupBox *  groupBox13;

    private: System::Windows::Forms::TextBox *  textBox23;
    private: System::Windows::Forms::Label *  label31;
    private: System::Windows::Forms::Label *  label32;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown24;

    private: System::Windows::Forms::TextBox *  textBox24;
    private: System::Windows::Forms::GroupBox *  groupBox14;

    private: System::Windows::Forms::TextBox *  textBox25;
    private: System::Windows::Forms::Label *  label35;
    private: System::Windows::Forms::Label *  label36;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown25;

    private: System::Windows::Forms::TextBox *  textBox26;
    private: System::Windows::Forms::Label *  LB_Source7;
    private: System::Windows::Forms::Label *  LB_Source6;
    private: System::Windows::Forms::Label *  LB_Source5;
    private: System::Windows::Forms::Label *  LB_Source4;
    private: System::Windows::Forms::Label *  LB_Source3;
    private: System::Windows::Forms::Label *  LB_Source2;
    private: System::Windows::Forms::Label *  LB_Source1;
    private: System::Windows::Forms::Label *  LB_Source8;
private: System::Windows::Forms::Label *  LB_Item4;
private: System::Windows::Forms::Label *  LB_Item3;
private: System::Windows::Forms::Label *  LB_Item2;
private: System::Windows::Forms::Label *  LB_Item1_Slot4;
private: System::Windows::Forms::Label *  LB_Item1_Slot3;
private: System::Windows::Forms::Label *  LB_Item1_Slot2;
private: System::Windows::Forms::Label *  LB_Item1_Slot1;
private: System::Windows::Forms::Label *  LB_Item1_HQ;
private: System::Windows::Forms::Label *  LB_Item1_Normal;
private: System::Windows::Forms::Label *  LB_Item4Rate;
private: System::Windows::Forms::Label *  LB_Item3Rate;
private: System::Windows::Forms::Label *  LB_Item2Rate;
private: System::Windows::Forms::Label *  LB_Item1_Slot4Rate;
private: System::Windows::Forms::Label *  LB_Item1_Slot3Rate;
private: System::Windows::Forms::Label *  LB_Item1_Slot2Rate;
private: System::Windows::Forms::Label *  LB_Item1_Slot1Rate;
private: System::Windows::Forms::Label *  LB_Item1_HQRate;
private: System::Windows::Forms::Label *  LB_Item1_NormalRate;
private: System::Windows::Forms::GroupBox*  groupBox15;
private: System::Windows::Forms::ComboBox*  comboBox1;
private: System::Windows::Forms::Label*  label2;
private: System::Windows::Forms::Label*  label1;
private: System::Windows::Forms::NumericUpDown*  numericUpDown26;
private: System::Windows::Forms::GroupBox*  groupBox16;
private: System::Windows::Forms::Label*  label9;
private: System::Windows::Forms::Label*  LB_KeyItemName;

private: System::Windows::Forms::Label*  label5;
private: System::Windows::Forms::TextBox*  textBox27;

private: System::Windows::Forms::Label*  label6;
private: System::Windows::Forms::TextBox*  textBox28;
private: System::Windows::Forms::GroupBox*  groupBox18;
private: System::Windows::Forms::Label*  label13;


private: System::Windows::Forms::GroupBox*  groupBox17;
private: System::Windows::Forms::CheckedListBox*  CLBModeFlag;
private: System::Windows::Forms::ComboBox*  CB_RecipeType;
private: System::Windows::Forms::ComboBox*  CB_SellType;
private: System::Windows::Forms::Label*  label10;
private: System::Windows::Forms::GroupBox*  groupBox19;

private: System::Windows::Forms::TextBox*  textBox29;
private: System::Windows::Forms::ComboBox*  comboBox2;
private: System::Windows::Forms::Label*  label14;
private: System::Windows::Forms::Label*  label17;
private: System::Windows::Forms::TextBox*  textBox30;
private: System::Windows::Forms::ComboBox*  comboBox3;
private: System::Windows::Forms::Label*  label18;
private: System::Windows::Forms::Label*  label22;
private: System::Windows::Forms::TextBox*  textBox32;
private: System::Windows::Forms::Label*  label21;
private: System::Windows::Forms::TextBox*  textBox31;



	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container* components;

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->panel1 = (new System::Windows::Forms::Panel());
			this->groupBox19 = (new System::Windows::Forms::GroupBox());
			this->textBox29 = (new System::Windows::Forms::TextBox());
			this->groupBox18 = (new System::Windows::Forms::GroupBox());
			this->comboBox3 = (new System::Windows::Forms::ComboBox());
			this->label18 = (new System::Windows::Forms::Label());
			this->CB_SellType = (new System::Windows::Forms::ComboBox());
			this->label10 = (new System::Windows::Forms::Label());
			this->CB_RecipeType = (new System::Windows::Forms::ComboBox());
			this->label13 = (new System::Windows::Forms::Label());
			this->groupBox17 = (new System::Windows::Forms::GroupBox());
			this->CLBModeFlag = (new System::Windows::Forms::CheckedListBox());
			this->groupBox16 = (new System::Windows::Forms::GroupBox());
			this->label9 = (new System::Windows::Forms::Label());
			this->groupBox15 = (new System::Windows::Forms::GroupBox());
			this->label22 = (new System::Windows::Forms::Label());
			this->textBox32 = (new System::Windows::Forms::TextBox());
			this->label21 = (new System::Windows::Forms::Label());
			this->textBox31 = (new System::Windows::Forms::TextBox());
			this->label17 = (new System::Windows::Forms::Label());
			this->textBox30 = (new System::Windows::Forms::TextBox());
			this->comboBox2 = (new System::Windows::Forms::ComboBox());
			this->label14 = (new System::Windows::Forms::Label());
			this->textBox28 = (new System::Windows::Forms::TextBox());
			this->label6 = (new System::Windows::Forms::Label());
			this->LB_KeyItemName = (new System::Windows::Forms::Label());
			this->label5 = (new System::Windows::Forms::Label());
			this->textBox27 = (new System::Windows::Forms::TextBox());
			this->comboBox1 = (new System::Windows::Forms::ComboBox());
			this->label2 = (new System::Windows::Forms::Label());
			this->label1 = (new System::Windows::Forms::Label());
			this->numericUpDown26 = (new System::Windows::Forms::NumericUpDown());
			this->groupBox14 = (new System::Windows::Forms::GroupBox());
			this->LB_Item4Rate = (new System::Windows::Forms::Label());
			this->textBox25 = (new System::Windows::Forms::TextBox());
			this->label35 = (new System::Windows::Forms::Label());
			this->label36 = (new System::Windows::Forms::Label());
			this->numericUpDown25 = (new System::Windows::Forms::NumericUpDown());
			this->LB_Item4 = (new System::Windows::Forms::Label());
			this->textBox26 = (new System::Windows::Forms::TextBox());
			this->groupBox13 = (new System::Windows::Forms::GroupBox());
			this->LB_Item3Rate = (new System::Windows::Forms::Label());
			this->textBox23 = (new System::Windows::Forms::TextBox());
			this->label31 = (new System::Windows::Forms::Label());
			this->label32 = (new System::Windows::Forms::Label());
			this->numericUpDown24 = (new System::Windows::Forms::NumericUpDown());
			this->LB_Item3 = (new System::Windows::Forms::Label());
			this->textBox24 = (new System::Windows::Forms::TextBox());
			this->groupBox6 = (new System::Windows::Forms::GroupBox());
			this->LB_Item2Rate = (new System::Windows::Forms::Label());
			this->textBox21 = (new System::Windows::Forms::TextBox());
			this->label27 = (new System::Windows::Forms::Label());
			this->label28 = (new System::Windows::Forms::Label());
			this->numericUpDown23 = (new System::Windows::Forms::NumericUpDown());
			this->LB_Item2 = (new System::Windows::Forms::Label());
			this->textBox22 = (new System::Windows::Forms::TextBox());
			this->groupBox5 = (new System::Windows::Forms::GroupBox());
			this->groupBox12 = (new System::Windows::Forms::GroupBox());
			this->LB_Item1_Slot4Rate = (new System::Windows::Forms::Label());
			this->textBox19 = (new System::Windows::Forms::TextBox());
			this->label23 = (new System::Windows::Forms::Label());
			this->label24 = (new System::Windows::Forms::Label());
			this->numericUpDown22 = (new System::Windows::Forms::NumericUpDown());
			this->LB_Item1_Slot4 = (new System::Windows::Forms::Label());
			this->textBox20 = (new System::Windows::Forms::TextBox());
			this->groupBox11 = (new System::Windows::Forms::GroupBox());
			this->LB_Item1_Slot3Rate = (new System::Windows::Forms::Label());
			this->textBox17 = (new System::Windows::Forms::TextBox());
			this->label19 = (new System::Windows::Forms::Label());
			this->label20 = (new System::Windows::Forms::Label());
			this->numericUpDown21 = (new System::Windows::Forms::NumericUpDown());
			this->LB_Item1_Slot3 = (new System::Windows::Forms::Label());
			this->textBox18 = (new System::Windows::Forms::TextBox());
			this->groupBox10 = (new System::Windows::Forms::GroupBox());
			this->LB_Item1_Slot2Rate = (new System::Windows::Forms::Label());
			this->textBox15 = (new System::Windows::Forms::TextBox());
			this->label15 = (new System::Windows::Forms::Label());
			this->label16 = (new System::Windows::Forms::Label());
			this->numericUpDown20 = (new System::Windows::Forms::NumericUpDown());
			this->LB_Item1_Slot2 = (new System::Windows::Forms::Label());
			this->textBox16 = (new System::Windows::Forms::TextBox());
			this->groupBox9 = (new System::Windows::Forms::GroupBox());
			this->LB_Item1_Slot1Rate = (new System::Windows::Forms::Label());
			this->textBox13 = (new System::Windows::Forms::TextBox());
			this->label11 = (new System::Windows::Forms::Label());
			this->label12 = (new System::Windows::Forms::Label());
			this->numericUpDown19 = (new System::Windows::Forms::NumericUpDown());
			this->LB_Item1_Slot1 = (new System::Windows::Forms::Label());
			this->textBox14 = (new System::Windows::Forms::TextBox());
			this->groupBox8 = (new System::Windows::Forms::GroupBox());
			this->LB_Item1_HQRate = (new System::Windows::Forms::Label());
			this->textBox11 = (new System::Windows::Forms::TextBox());
			this->label7 = (new System::Windows::Forms::Label());
			this->label8 = (new System::Windows::Forms::Label());
			this->numericUpDown18 = (new System::Windows::Forms::NumericUpDown());
			this->LB_Item1_HQ = (new System::Windows::Forms::Label());
			this->textBox12 = (new System::Windows::Forms::TextBox());
			this->groupBox7 = (new System::Windows::Forms::GroupBox());
			this->LB_Item1_NormalRate = (new System::Windows::Forms::Label());
			this->textBox10 = (new System::Windows::Forms::TextBox());
			this->label4 = (new System::Windows::Forms::Label());
			this->label3 = (new System::Windows::Forms::Label());
			this->numericUpDown17 = (new System::Windows::Forms::NumericUpDown());
			this->LB_Item1_Normal = (new System::Windows::Forms::Label());
			this->textBox3 = (new System::Windows::Forms::TextBox());
			this->groupBox1 = (new System::Windows::Forms::GroupBox());
			this->groupBox3 = (new System::Windows::Forms::GroupBox());
			this->numericUpDown9 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown10 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown11 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown12 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown13 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown14 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown15 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown16 = (new System::Windows::Forms::NumericUpDown());
			this->groupBox4 = (new System::Windows::Forms::GroupBox());
			this->numericUpDown8 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown7 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown6 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown5 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown4 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown3 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown2 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown1 = (new System::Windows::Forms::NumericUpDown());
			this->groupBox2 = (new System::Windows::Forms::GroupBox());
			this->LB_Source8 = (new System::Windows::Forms::Label());
			this->textBox2 = (new System::Windows::Forms::TextBox());
			this->LB_Source7 = (new System::Windows::Forms::Label());
			this->textBox9 = (new System::Windows::Forms::TextBox());
			this->LB_Source6 = (new System::Windows::Forms::Label());
			this->textBox8 = (new System::Windows::Forms::TextBox());
			this->LB_Source5 = (new System::Windows::Forms::Label());
			this->textBox7 = (new System::Windows::Forms::TextBox());
			this->LB_Source4 = (new System::Windows::Forms::Label());
			this->textBox6 = (new System::Windows::Forms::TextBox());
			this->LB_Source3 = (new System::Windows::Forms::Label());
			this->textBox5 = (new System::Windows::Forms::TextBox());
			this->LB_Source2 = (new System::Windows::Forms::Label());
			this->textBox4 = (new System::Windows::Forms::TextBox());
			this->LB_Source1 = (new System::Windows::Forms::Label());
			this->textBox1 = (new System::Windows::Forms::TextBox());
			this->panel1->SuspendLayout();
			this->groupBox19->SuspendLayout();
			this->groupBox18->SuspendLayout();
			this->groupBox17->SuspendLayout();
			this->groupBox16->SuspendLayout();
			this->groupBox15->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown26))->BeginInit();
			this->groupBox14->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown25))->BeginInit();
			this->groupBox13->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown24))->BeginInit();
			this->groupBox6->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown23))->BeginInit();
			this->groupBox5->SuspendLayout();
			this->groupBox12->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown22))->BeginInit();
			this->groupBox11->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown21))->BeginInit();
			this->groupBox10->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown20))->BeginInit();
			this->groupBox9->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown19))->BeginInit();
			this->groupBox8->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown18))->BeginInit();
			this->groupBox7->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown17))->BeginInit();
			this->groupBox1->SuspendLayout();
			this->groupBox3->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown9))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown10))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown11))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown12))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown13))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown14))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown15))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown16))->BeginInit();
			this->groupBox4->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown8))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown7))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown6))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown5))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown4))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown3))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown2))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown1))->BeginInit();
			this->groupBox2->SuspendLayout();
			this->SuspendLayout();
			// 
			// panel1
			// 
			this->panel1->AutoScroll = true;
			this->panel1->Controls->Add(this->groupBox19);
			this->panel1->Controls->Add(this->groupBox18);
			this->panel1->Controls->Add(this->groupBox17);
			this->panel1->Controls->Add(this->groupBox16);
			this->panel1->Controls->Add(this->groupBox15);
			this->panel1->Controls->Add(this->groupBox14);
			this->panel1->Controls->Add(this->groupBox13);
			this->panel1->Controls->Add(this->groupBox6);
			this->panel1->Controls->Add(this->groupBox5);
			this->panel1->Controls->Add(this->groupBox1);
			this->panel1->Dock = System::Windows::Forms::DockStyle::Fill;
			this->panel1->Location = System::Drawing::Point(0, 0);
			this->panel1->Name = S"panel1";
			this->panel1->Size = System::Drawing::Size(904, 766);
			this->panel1->TabIndex = 0;
			// 
			// groupBox19
			// 
			this->groupBox19->Controls->Add(this->textBox29);
			this->groupBox19->Location = System::Drawing::Point(135, 163);
			this->groupBox19->Name = S"groupBox19";
			this->groupBox19->Size = System::Drawing::Size(79, 95);
			this->groupBox19->TabIndex = 9;
			this->groupBox19->TabStop = false;
			this->groupBox19->Text = S"價值";
			// 
			// textBox29
			// 
			this->textBox29->Location = System::Drawing::Point(6, 19);
			this->textBox29->Name = S"textBox29";
			this->textBox29->Size = System::Drawing::Size(67, 22);
			this->textBox29->TabIndex = 82;
			this->textBox29->Tag = S"Cost";
			this->textBox29->Text = S"0";
			this->textBox29->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// groupBox18
			// 
			this->groupBox18->Controls->Add(this->comboBox3);
			this->groupBox18->Controls->Add(this->label18);
			this->groupBox18->Controls->Add(this->CB_SellType);
			this->groupBox18->Controls->Add(this->label10);
			this->groupBox18->Controls->Add(this->CB_RecipeType);
			this->groupBox18->Controls->Add(this->label13);
			this->groupBox18->Location = System::Drawing::Point(220, 163);
			this->groupBox18->Name = S"groupBox18";
			this->groupBox18->Size = System::Drawing::Size(162, 95);
			this->groupBox18->TabIndex = 8;
			this->groupBox18->TabStop = false;
			// 
			// comboBox3
			// 
			this->comboBox3->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox3->FormattingEnabled = true;
			System::Object* __mcTemp__1[] = new System::Object*[10];
			__mcTemp__1[0] = S"普通";
			__mcTemp__1[1] = S"一級稀有";
			__mcTemp__1[2] = S"二級稀有";
			__mcTemp__1[3] = S"三級稀有";
			__mcTemp__1[4] = S"四級稀有";
			__mcTemp__1[5] = S"五級稀有";
			__mcTemp__1[6] = S"六級稀有";
			__mcTemp__1[7] = S"七級稀有";
			__mcTemp__1[8] = S"八級稀有";
			__mcTemp__1[9] = S"九級稀有";
			this->comboBox3->Items->AddRange(__mcTemp__1);
			this->comboBox3->Location = System::Drawing::Point(69, 65);
			this->comboBox3->Name = S"comboBox3";
			this->comboBox3->Size = System::Drawing::Size(85, 20);
			this->comboBox3->TabIndex = 176;
			this->comboBox3->Tag = S"Rare";
			this->comboBox3->SelectedIndexChanged += new System::EventHandler(this, &RecipeForm::GetIndex_SelectedIndexChanged);
			// 
			// label18
			// 
			this->label18->Location = System::Drawing::Point(10, 68);
			this->label18->Name = S"label18";
			this->label18->Size = System::Drawing::Size(53, 16);
			this->label18->TabIndex = 175;
			this->label18->Text = S"稀有度";
			// 
			// CB_SellType
			// 
			this->CB_SellType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_SellType->ItemHeight = 12;
			System::Object* __mcTemp__2[] = new System::Object*[25];
			__mcTemp__2[0] = S"一般";
			__mcTemp__2[1] = S"劇情";
			__mcTemp__2[2] = S"食物";
			__mcTemp__2[3] = S"甜食";
			__mcTemp__2[4] = S"藥水";
			__mcTemp__2[5] = S"礦石";
			__mcTemp__2[6] = S"木材";
			__mcTemp__2[7] = S"藥草";
			__mcTemp__2[8] = S"獵物";
			__mcTemp__2[9] = S"種子";
			__mcTemp__2[10] = S"花盆";
			__mcTemp__2[11] = S"作物";
			__mcTemp__2[12] = S"魚";
			__mcTemp__2[13] = S"工具";
			__mcTemp__2[14] = S"製造材料";
			__mcTemp__2[15] = S"配方 - 打鐵";
			__mcTemp__2[16] = S"配方 - 木工";
			__mcTemp__2[17] = S"配方 - 製甲";
			__mcTemp__2[18] = S"配方 - 裁縫";
			__mcTemp__2[19] = S"配方 - 煉金";
			__mcTemp__2[20] = S"配方 - 烹飪";
			__mcTemp__2[21] = S"衝等寶石";
			__mcTemp__2[22] = S"效果光球";
			__mcTemp__2[23] = S"金錢";
			__mcTemp__2[24] = S"符文";
			this->CB_SellType->Items->AddRange(__mcTemp__2);
			this->CB_SellType->Location = System::Drawing::Point(71, 21);
			this->CB_SellType->Name = S"CB_SellType";
			this->CB_SellType->Size = System::Drawing::Size(85, 20);
			this->CB_SellType->TabIndex = 173;
			this->CB_SellType->Tag = S"SellType";
			this->CB_SellType->SelectedIndexChanged += new System::EventHandler(this, &RecipeForm::GetIndex_SelectedIndexChanged);
			// 
			// label10
			// 
			this->label10->AutoSize = true;
			this->label10->Location = System::Drawing::Point(10, 25);
			this->label10->Name = S"label10";
			this->label10->Size = System::Drawing::Size(53, 12);
			this->label10->TabIndex = 174;
			this->label10->Text = S"商品分類";
			// 
			// CB_RecipeType
			// 
			this->CB_RecipeType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_RecipeType->FormattingEnabled = true;
			System::Object* __mcTemp__3[] = new System::Object*[4];
			__mcTemp__3[0] = S"A1";
			__mcTemp__3[1] = S"A2";
			__mcTemp__3[2] = S"A3";
			__mcTemp__3[3] = S"A4";
			this->CB_RecipeType->Items->AddRange(__mcTemp__3);
			this->CB_RecipeType->Location = System::Drawing::Point(70, 43);
			this->CB_RecipeType->Name = S"CB_RecipeType";
			this->CB_RecipeType->Size = System::Drawing::Size(85, 20);
			this->CB_RecipeType->TabIndex = 40;
			this->CB_RecipeType->Tag = S"Type";
			this->CB_RecipeType->SelectedIndexChanged += new System::EventHandler(this, &RecipeForm::GetIndex_SelectedIndexChanged);
			// 
			// label13
			// 
			this->label13->Location = System::Drawing::Point(11, 46);
			this->label13->Name = S"label13";
			this->label13->Size = System::Drawing::Size(53, 16);
			this->label13->TabIndex = 39;
			this->label13->Text = S"配方分類";
			// 
			// groupBox17
			// 
			this->groupBox17->Controls->Add(this->CLBModeFlag);
			this->groupBox17->Location = System::Drawing::Point(12, 163);
			this->groupBox17->Name = S"groupBox17";
			this->groupBox17->Size = System::Drawing::Size(117, 95);
			this->groupBox17->TabIndex = 7;
			this->groupBox17->TabStop = false;
			this->groupBox17->Text = S"旗標設定";
			// 
			// CLBModeFlag
			// 
			this->CLBModeFlag->CheckOnClick = true;
			System::Object* __mcTemp__4[] = new System::Object*[5];
			__mcTemp__4[0] = S"可賣NPC";
			__mcTemp__4[1] = S"離線消失";
			__mcTemp__4[2] = S"會消耗";
			__mcTemp__4[3] = S"撿取禁制";
			__mcTemp__4[4] = S"可變稀有度";
			this->CLBModeFlag->Items->AddRange(__mcTemp__4);
			this->CLBModeFlag->Location = System::Drawing::Point(9, 16);
			this->CLBModeFlag->Name = S"CLBModeFlag";
			this->CLBModeFlag->Size = System::Drawing::Size(102, 72);
			this->CLBModeFlag->TabIndex = 3;
			this->CLBModeFlag->Tag = S"Mode";
			this->CLBModeFlag->Leave += new System::EventHandler(this, &RecipeForm::ChangeMode);
			// 
			// groupBox16
			// 
			this->groupBox16->Controls->Add(this->label9);
			this->groupBox16->Location = System::Drawing::Point(12, 528);
			this->groupBox16->Name = S"groupBox16";
			this->groupBox16->Size = System::Drawing::Size(376, 195);
			this->groupBox16->TabIndex = 6;
			this->groupBox16->TabStop = false;
			this->groupBox16->Text = S"說明";
			// 
			// label9
			// 
			this->label9->AutoSize = true;
			this->label9->Location = System::Drawing::Point(7, 39);
			this->label9->Name = S"label9";
			this->label9->Size = System::Drawing::Size(345, 96);
			this->label9->TabIndex = 0;
			this->label9->Text = S"需求\r\n　技能達某等級就可使用此配方表\r\n　如果沒設定需求重要物品，則表代上述條件到自動學會\r\n\r\n產品\r\n　最多產生四個\r\n　合成產品一 ∼ 四，每個獨立計算\r" 
				S"\n　合成產品一　只能在　一般品　HQ品　空篇一∼四　中選一個";
			// 
			// groupBox15
			// 
			this->groupBox15->Controls->Add(this->label22);
			this->groupBox15->Controls->Add(this->textBox32);
			this->groupBox15->Controls->Add(this->label21);
			this->groupBox15->Controls->Add(this->textBox31);
			this->groupBox15->Controls->Add(this->label17);
			this->groupBox15->Controls->Add(this->textBox30);
			this->groupBox15->Controls->Add(this->comboBox2);
			this->groupBox15->Controls->Add(this->label14);
			this->groupBox15->Controls->Add(this->textBox28);
			this->groupBox15->Controls->Add(this->label6);
			this->groupBox15->Controls->Add(this->LB_KeyItemName);
			this->groupBox15->Controls->Add(this->label5);
			this->groupBox15->Controls->Add(this->textBox27);
			this->groupBox15->Controls->Add(this->comboBox1);
			this->groupBox15->Controls->Add(this->label2);
			this->groupBox15->Controls->Add(this->label1);
			this->groupBox15->Controls->Add(this->numericUpDown26);
			this->groupBox15->Location = System::Drawing::Point(12, 12);
			this->groupBox15->Name = S"groupBox15";
			this->groupBox15->Size = System::Drawing::Size(374, 145);
			this->groupBox15->TabIndex = 5;
			this->groupBox15->TabStop = false;
			this->groupBox15->Text = S"使用需求";
			// 
			// label22
			// 
			this->label22->Location = System::Drawing::Point(179, 100);
			this->label22->Name = S"label22";
			this->label22->Size = System::Drawing::Size(54, 16);
			this->label22->TabIndex = 47;
			this->label22->Text = S"製造費用";
			// 
			// textBox32
			// 
			this->textBox32->Location = System::Drawing::Point(239, 97);
			this->textBox32->Name = S"textBox32";
			this->textBox32->Size = System::Drawing::Size(100, 22);
			this->textBox32->TabIndex = 46;
			this->textBox32->Tag = S"CraftFee";
			this->textBox32->Text = S"0";
			this->textBox32->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label21
			// 
			this->label21->Location = System::Drawing::Point(7, 100);
			this->label21->Name = S"label21";
			this->label21->Size = System::Drawing::Size(54, 16);
			this->label21->TabIndex = 45;
			this->label21->Text = S"學習費用";
			// 
			// textBox31
			// 
			this->textBox31->Location = System::Drawing::Point(67, 97);
			this->textBox31->Name = S"textBox31";
			this->textBox31->Size = System::Drawing::Size(100, 22);
			this->textBox31->TabIndex = 44;
			this->textBox31->Tag = S"LearnFee";
			this->textBox31->Text = S"0";
			this->textBox31->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label17
			// 
			this->label17->Location = System::Drawing::Point(275, 17);
			this->label17->Name = S"label17";
			this->label17->Size = System::Drawing::Size(41, 16);
			this->label17->TabIndex = 43;
			this->label17->Text = S"Exp率";
			// 
			// textBox30
			// 
			this->textBox30->Location = System::Drawing::Point(322, 15);
			this->textBox30->Name = S"textBox30";
			this->textBox30->Size = System::Drawing::Size(39, 22);
			this->textBox30->TabIndex = 42;
			this->textBox30->Tag = S"ExpRate";
			this->textBox30->Text = S"1";
			this->textBox30->TextChanged += new System::EventHandler(this, &RecipeForm::GetFloatValue_TextChanged);
			// 
			// comboBox2
			// 
			this->comboBox2->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox2->FormattingEnabled = true;
			System::Object* __mcTemp__5[] = new System::Object*[12];
			__mcTemp__5[0] = S"無";
			__mcTemp__5[1] = S"打鐵";
			__mcTemp__5[2] = S"木工";
			__mcTemp__5[3] = S"製甲";
			__mcTemp__5[4] = S"裁縫";
			__mcTemp__5[5] = S"烹飪";
			__mcTemp__5[6] = S"煉金";
			__mcTemp__5[7] = S"挖礦";
			__mcTemp__5[8] = S"伐木";
			__mcTemp__5[9] = S"採藥";
			__mcTemp__5[10] = S"釣魚";
			__mcTemp__5[11] = S"種植";
			this->comboBox2->Items->AddRange(__mcTemp__5);
			this->comboBox2->Location = System::Drawing::Point(268, 69);
			this->comboBox2->Name = S"comboBox2";
			this->comboBox2->Size = System::Drawing::Size(100, 20);
			this->comboBox2->TabIndex = 41;
			this->comboBox2->Tag = S"RequestCraftObjType";
			this->comboBox2->SelectedIndexChanged += new System::EventHandler(this, &RecipeForm::GetIndex_SelectedIndexChanged);
			// 
			// label14
			// 
			this->label14->AutoSize = true;
			this->label14->Location = System::Drawing::Point(189, 72);
			this->label14->Name = S"label14";
			this->label14->Size = System::Drawing::Size(77, 12);
			this->label14->TabIndex = 40;
			this->label14->Text = S"需求物件類型";
			// 
			// textBox28
			// 
			this->textBox28->Location = System::Drawing::Point(85, 69);
			this->textBox28->Name = S"textBox28";
			this->textBox28->Size = System::Drawing::Size(100, 22);
			this->textBox28->TabIndex = 39;
			this->textBox28->Tag = S"Coldown";
			this->textBox28->Text = S"0";
			this->textBox28->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label6
			// 
			this->label6->AutoSize = true;
			this->label6->Location = System::Drawing::Point(6, 72);
			this->label6->Name = S"label6";
			this->label6->Size = System::Drawing::Size(73, 12);
			this->label6->TabIndex = 38;
			this->label6->Text = S"冷卻時間(秒)";
			// 
			// LB_KeyItemName
			// 
			this->LB_KeyItemName->Location = System::Drawing::Point(176, 44);
			this->LB_KeyItemName->Name = S"LB_KeyItemName";
			this->LB_KeyItemName->Size = System::Drawing::Size(32, 16);
			this->LB_KeyItemName->TabIndex = 37;
			this->LB_KeyItemName->Text = S"名稱";
			// 
			// label5
			// 
			this->label5->Location = System::Drawing::Point(5, 44);
			this->label5->Name = S"label5";
			this->label5->Size = System::Drawing::Size(54, 16);
			this->label5->TabIndex = 36;
			this->label5->Text = S"重要物品";
			// 
			// textBox27
			// 
			this->textBox27->Location = System::Drawing::Point(65, 41);
			this->textBox27->Name = S"textBox27";
			this->textBox27->Size = System::Drawing::Size(100, 22);
			this->textBox27->TabIndex = 35;
			this->textBox27->Tag = S"RequestKeyItemID";
			this->textBox27->Text = S"0";
			this->textBox27->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchKeyItemClick);
			this->textBox27->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// comboBox1
			// 
			this->comboBox1->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox1->FormattingEnabled = true;
			System::Object* __mcTemp__6[] = new System::Object*[12];
			__mcTemp__6[0] = S"無";
			__mcTemp__6[1] = S"打鐵";
			__mcTemp__6[2] = S"木工";
			__mcTemp__6[3] = S"製甲";
			__mcTemp__6[4] = S"裁縫";
			__mcTemp__6[5] = S"烹飪";
			__mcTemp__6[6] = S"煉金";
			__mcTemp__6[7] = S"挖礦";
			__mcTemp__6[8] = S"伐木";
			__mcTemp__6[9] = S"採藥";
			__mcTemp__6[10] = S"釣魚";
			__mcTemp__6[11] = S"種植";
			this->comboBox1->Items->AddRange(__mcTemp__6);
			this->comboBox1->Location = System::Drawing::Point(65, 15);
			this->comboBox1->Name = S"comboBox1";
			this->comboBox1->Size = System::Drawing::Size(100, 20);
			this->comboBox1->TabIndex = 34;
			this->comboBox1->Tag = S"RequestSkill";
			this->comboBox1->SelectedIndexChanged += new System::EventHandler(this, &RecipeForm::GetIndex_SelectedIndexChanged);
			// 
			// label2
			// 
			this->label2->Location = System::Drawing::Point(179, 17);
			this->label2->Name = S"label2";
			this->label2->Size = System::Drawing::Size(32, 16);
			this->label2->TabIndex = 33;
			this->label2->Text = S"等級";
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Location = System::Drawing::Point(6, 18);
			this->label1->Name = S"label1";
			this->label1->Size = System::Drawing::Size(53, 12);
			this->label1->TabIndex = 32;
			this->label1->Text = S"技能類型";
			// 
			// numericUpDown26
			// 
			this->numericUpDown26->Location = System::Drawing::Point(216, 13);
			this->numericUpDown26->Name = S"numericUpDown26";
			this->numericUpDown26->Size = System::Drawing::Size(48, 22);
			this->numericUpDown26->TabIndex = 31;
			this->numericUpDown26->Tag = S"RequestSkillLV";
			System::Int32 __mcTemp__7[] = new System::Int32[4];
			__mcTemp__7[0] = 1;
			__mcTemp__7[1] = 0;
			__mcTemp__7[2] = 0;
			__mcTemp__7[3] = 0;
			this->numericUpDown26->Value = System::Decimal(__mcTemp__7);
			this->numericUpDown26->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// groupBox14
			// 
			this->groupBox14->Controls->Add(this->LB_Item4Rate);
			this->groupBox14->Controls->Add(this->textBox25);
			this->groupBox14->Controls->Add(this->label35);
			this->groupBox14->Controls->Add(this->label36);
			this->groupBox14->Controls->Add(this->numericUpDown25);
			this->groupBox14->Controls->Add(this->LB_Item4);
			this->groupBox14->Controls->Add(this->textBox26);
			this->groupBox14->Location = System::Drawing::Point(408, 528);
			this->groupBox14->Name = S"groupBox14";
			this->groupBox14->Size = System::Drawing::Size(472, 48);
			this->groupBox14->TabIndex = 4;
			this->groupBox14->TabStop = false;
			this->groupBox14->Text = S"合成產品四";
			// 
			// LB_Item4Rate
			// 
			this->LB_Item4Rate->Location = System::Drawing::Point(384, 16);
			this->LB_Item4Rate->Name = S"LB_Item4Rate";
			this->LB_Item4Rate->Size = System::Drawing::Size(48, 16);
			this->LB_Item4Rate->TabIndex = 33;
			this->LB_Item4Rate->Text = S"label7";
			// 
			// textBox25
			// 
			this->textBox25->Location = System::Drawing::Point(312, 16);
			this->textBox25->Name = S"textBox25";
			this->textBox25->Size = System::Drawing::Size(64, 22);
			this->textBox25->TabIndex = 32;
			this->textBox25->Tag = S"Item4_Rate";
			this->textBox25->Text = S"0";
			this->textBox25->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label35
			// 
			this->label35->Location = System::Drawing::Point(280, 16);
			this->label35->Name = S"label35";
			this->label35->Size = System::Drawing::Size(32, 23);
			this->label35->TabIndex = 31;
			this->label35->Text = S"機率";
			// 
			// label36
			// 
			this->label36->Location = System::Drawing::Point(192, 16);
			this->label36->Name = S"label36";
			this->label36->Size = System::Drawing::Size(32, 16);
			this->label36->TabIndex = 30;
			this->label36->Text = S"數量";
			// 
			// numericUpDown25
			// 
			this->numericUpDown25->Location = System::Drawing::Point(224, 16);
			this->numericUpDown25->Name = S"numericUpDown25";
			this->numericUpDown25->Size = System::Drawing::Size(48, 22);
			this->numericUpDown25->TabIndex = 29;
			this->numericUpDown25->Tag = S"Item4_Count";
			this->numericUpDown25->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown25->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// LB_Item4
			// 
			this->LB_Item4->Location = System::Drawing::Point(8, 16);
			this->LB_Item4->Name = S"LB_Item4";
			this->LB_Item4->Size = System::Drawing::Size(72, 16);
			this->LB_Item4->TabIndex = 3;
			this->LB_Item4->Text = S"label7";
			// 
			// textBox26
			// 
			this->textBox26->Location = System::Drawing::Point(80, 16);
			this->textBox26->Name = S"textBox26";
			this->textBox26->Size = System::Drawing::Size(100, 22);
			this->textBox26->TabIndex = 2;
			this->textBox26->Tag = S"Item4";
			this->textBox26->Text = S"0";
			this->textBox26->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox26->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// groupBox13
			// 
			this->groupBox13->Controls->Add(this->LB_Item3Rate);
			this->groupBox13->Controls->Add(this->textBox23);
			this->groupBox13->Controls->Add(this->label31);
			this->groupBox13->Controls->Add(this->label32);
			this->groupBox13->Controls->Add(this->numericUpDown24);
			this->groupBox13->Controls->Add(this->LB_Item3);
			this->groupBox13->Controls->Add(this->textBox24);
			this->groupBox13->Location = System::Drawing::Point(408, 472);
			this->groupBox13->Name = S"groupBox13";
			this->groupBox13->Size = System::Drawing::Size(472, 48);
			this->groupBox13->TabIndex = 3;
			this->groupBox13->TabStop = false;
			this->groupBox13->Text = S"合成產品三";
			// 
			// LB_Item3Rate
			// 
			this->LB_Item3Rate->Location = System::Drawing::Point(384, 16);
			this->LB_Item3Rate->Name = S"LB_Item3Rate";
			this->LB_Item3Rate->Size = System::Drawing::Size(48, 16);
			this->LB_Item3Rate->TabIndex = 33;
			this->LB_Item3Rate->Text = S"label7";
			// 
			// textBox23
			// 
			this->textBox23->Location = System::Drawing::Point(312, 16);
			this->textBox23->Name = S"textBox23";
			this->textBox23->Size = System::Drawing::Size(64, 22);
			this->textBox23->TabIndex = 32;
			this->textBox23->Tag = S"Item3_Rate";
			this->textBox23->Text = S"0";
			this->textBox23->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label31
			// 
			this->label31->Location = System::Drawing::Point(280, 16);
			this->label31->Name = S"label31";
			this->label31->Size = System::Drawing::Size(32, 23);
			this->label31->TabIndex = 31;
			this->label31->Text = S"機率";
			// 
			// label32
			// 
			this->label32->Location = System::Drawing::Point(192, 16);
			this->label32->Name = S"label32";
			this->label32->Size = System::Drawing::Size(32, 16);
			this->label32->TabIndex = 30;
			this->label32->Text = S"數量";
			// 
			// numericUpDown24
			// 
			this->numericUpDown24->Location = System::Drawing::Point(224, 16);
			this->numericUpDown24->Name = S"numericUpDown24";
			this->numericUpDown24->Size = System::Drawing::Size(48, 22);
			this->numericUpDown24->TabIndex = 29;
			this->numericUpDown24->Tag = S"Item3_Count";
			this->numericUpDown24->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown24->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// LB_Item3
			// 
			this->LB_Item3->Location = System::Drawing::Point(8, 16);
			this->LB_Item3->Name = S"LB_Item3";
			this->LB_Item3->Size = System::Drawing::Size(72, 16);
			this->LB_Item3->TabIndex = 3;
			this->LB_Item3->Text = S"label7";
			// 
			// textBox24
			// 
			this->textBox24->Location = System::Drawing::Point(80, 16);
			this->textBox24->Name = S"textBox24";
			this->textBox24->Size = System::Drawing::Size(100, 22);
			this->textBox24->TabIndex = 2;
			this->textBox24->Tag = S"Item3";
			this->textBox24->Text = S"0";
			this->textBox24->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox24->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// groupBox6
			// 
			this->groupBox6->Controls->Add(this->LB_Item2Rate);
			this->groupBox6->Controls->Add(this->textBox21);
			this->groupBox6->Controls->Add(this->label27);
			this->groupBox6->Controls->Add(this->label28);
			this->groupBox6->Controls->Add(this->numericUpDown23);
			this->groupBox6->Controls->Add(this->LB_Item2);
			this->groupBox6->Controls->Add(this->textBox22);
			this->groupBox6->Location = System::Drawing::Point(408, 416);
			this->groupBox6->Name = S"groupBox6";
			this->groupBox6->Size = System::Drawing::Size(472, 48);
			this->groupBox6->TabIndex = 2;
			this->groupBox6->TabStop = false;
			this->groupBox6->Text = S"合成產品二";
			// 
			// LB_Item2Rate
			// 
			this->LB_Item2Rate->Location = System::Drawing::Point(384, 16);
			this->LB_Item2Rate->Name = S"LB_Item2Rate";
			this->LB_Item2Rate->Size = System::Drawing::Size(48, 16);
			this->LB_Item2Rate->TabIndex = 33;
			this->LB_Item2Rate->Text = S"label7";
			// 
			// textBox21
			// 
			this->textBox21->Location = System::Drawing::Point(312, 16);
			this->textBox21->Name = S"textBox21";
			this->textBox21->Size = System::Drawing::Size(64, 22);
			this->textBox21->TabIndex = 32;
			this->textBox21->Tag = S"Item2_Rate";
			this->textBox21->Text = S"0";
			this->textBox21->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label27
			// 
			this->label27->Location = System::Drawing::Point(280, 16);
			this->label27->Name = S"label27";
			this->label27->Size = System::Drawing::Size(32, 23);
			this->label27->TabIndex = 31;
			this->label27->Text = S"機率";
			// 
			// label28
			// 
			this->label28->Location = System::Drawing::Point(192, 16);
			this->label28->Name = S"label28";
			this->label28->Size = System::Drawing::Size(32, 16);
			this->label28->TabIndex = 30;
			this->label28->Text = S"數量";
			// 
			// numericUpDown23
			// 
			this->numericUpDown23->Location = System::Drawing::Point(224, 16);
			this->numericUpDown23->Name = S"numericUpDown23";
			this->numericUpDown23->Size = System::Drawing::Size(48, 22);
			this->numericUpDown23->TabIndex = 29;
			this->numericUpDown23->Tag = S"Item2_Count";
			this->numericUpDown23->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown23->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// LB_Item2
			// 
			this->LB_Item2->Location = System::Drawing::Point(8, 16);
			this->LB_Item2->Name = S"LB_Item2";
			this->LB_Item2->Size = System::Drawing::Size(72, 16);
			this->LB_Item2->TabIndex = 3;
			this->LB_Item2->Text = S"label7";
			// 
			// textBox22
			// 
			this->textBox22->Location = System::Drawing::Point(80, 16);
			this->textBox22->Name = S"textBox22";
			this->textBox22->Size = System::Drawing::Size(100, 22);
			this->textBox22->TabIndex = 2;
			this->textBox22->Tag = S"Item2";
			this->textBox22->Text = S"0";
			this->textBox22->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox22->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// groupBox5
			// 
			this->groupBox5->Controls->Add(this->groupBox12);
			this->groupBox5->Controls->Add(this->groupBox11);
			this->groupBox5->Controls->Add(this->groupBox10);
			this->groupBox5->Controls->Add(this->groupBox9);
			this->groupBox5->Controls->Add(this->groupBox8);
			this->groupBox5->Controls->Add(this->groupBox7);
			this->groupBox5->Location = System::Drawing::Point(392, 16);
			this->groupBox5->Name = S"groupBox5";
			this->groupBox5->Size = System::Drawing::Size(496, 376);
			this->groupBox5->TabIndex = 1;
			this->groupBox5->TabStop = false;
			this->groupBox5->Text = S"合成產品一";
			// 
			// groupBox12
			// 
			this->groupBox12->Controls->Add(this->LB_Item1_Slot4Rate);
			this->groupBox12->Controls->Add(this->textBox19);
			this->groupBox12->Controls->Add(this->label23);
			this->groupBox12->Controls->Add(this->label24);
			this->groupBox12->Controls->Add(this->numericUpDown22);
			this->groupBox12->Controls->Add(this->LB_Item1_Slot4);
			this->groupBox12->Controls->Add(this->textBox20);
			this->groupBox12->Location = System::Drawing::Point(16, 304);
			this->groupBox12->Name = S"groupBox12";
			this->groupBox12->Size = System::Drawing::Size(472, 48);
			this->groupBox12->TabIndex = 5;
			this->groupBox12->TabStop = false;
			this->groupBox12->Text = S"四空篇";
			// 
			// LB_Item1_Slot4Rate
			// 
			this->LB_Item1_Slot4Rate->Location = System::Drawing::Point(384, 16);
			this->LB_Item1_Slot4Rate->Name = S"LB_Item1_Slot4Rate";
			this->LB_Item1_Slot4Rate->Size = System::Drawing::Size(48, 16);
			this->LB_Item1_Slot4Rate->TabIndex = 33;
			this->LB_Item1_Slot4Rate->Text = S"label7";
			// 
			// textBox19
			// 
			this->textBox19->Location = System::Drawing::Point(312, 16);
			this->textBox19->Name = S"textBox19";
			this->textBox19->Size = System::Drawing::Size(64, 22);
			this->textBox19->TabIndex = 32;
			this->textBox19->Tag = S"Item1_Slot4Rate";
			this->textBox19->Text = S"0";
			this->textBox19->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label23
			// 
			this->label23->Location = System::Drawing::Point(280, 16);
			this->label23->Name = S"label23";
			this->label23->Size = System::Drawing::Size(32, 23);
			this->label23->TabIndex = 31;
			this->label23->Text = S"機率";
			// 
			// label24
			// 
			this->label24->Location = System::Drawing::Point(192, 16);
			this->label24->Name = S"label24";
			this->label24->Size = System::Drawing::Size(32, 16);
			this->label24->TabIndex = 30;
			this->label24->Text = S"數量";
			// 
			// numericUpDown22
			// 
			this->numericUpDown22->Location = System::Drawing::Point(224, 16);
			this->numericUpDown22->Name = S"numericUpDown22";
			this->numericUpDown22->Size = System::Drawing::Size(48, 22);
			this->numericUpDown22->TabIndex = 29;
			this->numericUpDown22->Tag = S"Item1_Slot4Count";
			this->numericUpDown22->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown22->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// LB_Item1_Slot4
			// 
			this->LB_Item1_Slot4->Location = System::Drawing::Point(8, 16);
			this->LB_Item1_Slot4->Name = S"LB_Item1_Slot4";
			this->LB_Item1_Slot4->Size = System::Drawing::Size(72, 16);
			this->LB_Item1_Slot4->TabIndex = 3;
			this->LB_Item1_Slot4->Text = S"label7";
			// 
			// textBox20
			// 
			this->textBox20->Location = System::Drawing::Point(80, 16);
			this->textBox20->Name = S"textBox20";
			this->textBox20->Size = System::Drawing::Size(100, 22);
			this->textBox20->TabIndex = 2;
			this->textBox20->Tag = S"Item1_Slot4";
			this->textBox20->Text = S"0";
			this->textBox20->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox20->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// groupBox11
			// 
			this->groupBox11->Controls->Add(this->LB_Item1_Slot3Rate);
			this->groupBox11->Controls->Add(this->textBox17);
			this->groupBox11->Controls->Add(this->label19);
			this->groupBox11->Controls->Add(this->label20);
			this->groupBox11->Controls->Add(this->numericUpDown21);
			this->groupBox11->Controls->Add(this->LB_Item1_Slot3);
			this->groupBox11->Controls->Add(this->textBox18);
			this->groupBox11->Location = System::Drawing::Point(16, 248);
			this->groupBox11->Name = S"groupBox11";
			this->groupBox11->Size = System::Drawing::Size(472, 48);
			this->groupBox11->TabIndex = 4;
			this->groupBox11->TabStop = false;
			this->groupBox11->Text = S"一般品";
			// 
			// LB_Item1_Slot3Rate
			// 
			this->LB_Item1_Slot3Rate->Location = System::Drawing::Point(384, 16);
			this->LB_Item1_Slot3Rate->Name = S"LB_Item1_Slot3Rate";
			this->LB_Item1_Slot3Rate->Size = System::Drawing::Size(48, 16);
			this->LB_Item1_Slot3Rate->TabIndex = 33;
			this->LB_Item1_Slot3Rate->Text = S"label7";
			// 
			// textBox17
			// 
			this->textBox17->Location = System::Drawing::Point(312, 16);
			this->textBox17->Name = S"textBox17";
			this->textBox17->Size = System::Drawing::Size(64, 22);
			this->textBox17->TabIndex = 32;
			this->textBox17->Tag = S"Item1_Slot3Rate";
			this->textBox17->Text = S"0";
			this->textBox17->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label19
			// 
			this->label19->Location = System::Drawing::Point(280, 16);
			this->label19->Name = S"label19";
			this->label19->Size = System::Drawing::Size(32, 23);
			this->label19->TabIndex = 31;
			this->label19->Text = S"機率";
			// 
			// label20
			// 
			this->label20->Location = System::Drawing::Point(192, 16);
			this->label20->Name = S"label20";
			this->label20->Size = System::Drawing::Size(32, 16);
			this->label20->TabIndex = 30;
			this->label20->Text = S"數量";
			// 
			// numericUpDown21
			// 
			this->numericUpDown21->Location = System::Drawing::Point(224, 16);
			this->numericUpDown21->Name = S"numericUpDown21";
			this->numericUpDown21->Size = System::Drawing::Size(48, 22);
			this->numericUpDown21->TabIndex = 29;
			this->numericUpDown21->Tag = S"Item1_Slot3Count";
			this->numericUpDown21->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown21->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// LB_Item1_Slot3
			// 
			this->LB_Item1_Slot3->Location = System::Drawing::Point(8, 16);
			this->LB_Item1_Slot3->Name = S"LB_Item1_Slot3";
			this->LB_Item1_Slot3->Size = System::Drawing::Size(72, 16);
			this->LB_Item1_Slot3->TabIndex = 3;
			this->LB_Item1_Slot3->Text = S"三空篇";
			// 
			// textBox18
			// 
			this->textBox18->Location = System::Drawing::Point(80, 16);
			this->textBox18->Name = S"textBox18";
			this->textBox18->Size = System::Drawing::Size(100, 22);
			this->textBox18->TabIndex = 2;
			this->textBox18->Tag = S"Item1_Slot3";
			this->textBox18->Text = S"0";
			this->textBox18->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox18->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// groupBox10
			// 
			this->groupBox10->Controls->Add(this->LB_Item1_Slot2Rate);
			this->groupBox10->Controls->Add(this->textBox15);
			this->groupBox10->Controls->Add(this->label15);
			this->groupBox10->Controls->Add(this->label16);
			this->groupBox10->Controls->Add(this->numericUpDown20);
			this->groupBox10->Controls->Add(this->LB_Item1_Slot2);
			this->groupBox10->Controls->Add(this->textBox16);
			this->groupBox10->Location = System::Drawing::Point(16, 192);
			this->groupBox10->Name = S"groupBox10";
			this->groupBox10->Size = System::Drawing::Size(472, 48);
			this->groupBox10->TabIndex = 3;
			this->groupBox10->TabStop = false;
			this->groupBox10->Text = S"二空篇";
			// 
			// LB_Item1_Slot2Rate
			// 
			this->LB_Item1_Slot2Rate->Location = System::Drawing::Point(384, 16);
			this->LB_Item1_Slot2Rate->Name = S"LB_Item1_Slot2Rate";
			this->LB_Item1_Slot2Rate->Size = System::Drawing::Size(48, 16);
			this->LB_Item1_Slot2Rate->TabIndex = 33;
			this->LB_Item1_Slot2Rate->Text = S"label7";
			// 
			// textBox15
			// 
			this->textBox15->Location = System::Drawing::Point(312, 16);
			this->textBox15->Name = S"textBox15";
			this->textBox15->Size = System::Drawing::Size(64, 22);
			this->textBox15->TabIndex = 32;
			this->textBox15->Tag = S"Item1_Slot2Rate";
			this->textBox15->Text = S"0";
			this->textBox15->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label15
			// 
			this->label15->Location = System::Drawing::Point(280, 16);
			this->label15->Name = S"label15";
			this->label15->Size = System::Drawing::Size(32, 23);
			this->label15->TabIndex = 31;
			this->label15->Text = S"機率";
			// 
			// label16
			// 
			this->label16->Location = System::Drawing::Point(192, 16);
			this->label16->Name = S"label16";
			this->label16->Size = System::Drawing::Size(32, 16);
			this->label16->TabIndex = 30;
			this->label16->Text = S"數量";
			// 
			// numericUpDown20
			// 
			this->numericUpDown20->Location = System::Drawing::Point(224, 16);
			this->numericUpDown20->Name = S"numericUpDown20";
			this->numericUpDown20->Size = System::Drawing::Size(48, 22);
			this->numericUpDown20->TabIndex = 29;
			this->numericUpDown20->Tag = S"Item1_Slot2Count";
			this->numericUpDown20->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown20->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// LB_Item1_Slot2
			// 
			this->LB_Item1_Slot2->Location = System::Drawing::Point(8, 16);
			this->LB_Item1_Slot2->Name = S"LB_Item1_Slot2";
			this->LB_Item1_Slot2->Size = System::Drawing::Size(72, 16);
			this->LB_Item1_Slot2->TabIndex = 3;
			this->LB_Item1_Slot2->Text = S"label7";
			// 
			// textBox16
			// 
			this->textBox16->Location = System::Drawing::Point(80, 16);
			this->textBox16->Name = S"textBox16";
			this->textBox16->Size = System::Drawing::Size(100, 22);
			this->textBox16->TabIndex = 2;
			this->textBox16->Tag = S"Item1_Slot2";
			this->textBox16->Text = S"0";
			this->textBox16->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox16->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// groupBox9
			// 
			this->groupBox9->Controls->Add(this->LB_Item1_Slot1Rate);
			this->groupBox9->Controls->Add(this->textBox13);
			this->groupBox9->Controls->Add(this->label11);
			this->groupBox9->Controls->Add(this->label12);
			this->groupBox9->Controls->Add(this->numericUpDown19);
			this->groupBox9->Controls->Add(this->LB_Item1_Slot1);
			this->groupBox9->Controls->Add(this->textBox14);
			this->groupBox9->Location = System::Drawing::Point(16, 136);
			this->groupBox9->Name = S"groupBox9";
			this->groupBox9->Size = System::Drawing::Size(472, 48);
			this->groupBox9->TabIndex = 2;
			this->groupBox9->TabStop = false;
			this->groupBox9->Text = S"一空篇";
			// 
			// LB_Item1_Slot1Rate
			// 
			this->LB_Item1_Slot1Rate->Location = System::Drawing::Point(384, 16);
			this->LB_Item1_Slot1Rate->Name = S"LB_Item1_Slot1Rate";
			this->LB_Item1_Slot1Rate->Size = System::Drawing::Size(48, 16);
			this->LB_Item1_Slot1Rate->TabIndex = 33;
			this->LB_Item1_Slot1Rate->Text = S"label7";
			// 
			// textBox13
			// 
			this->textBox13->Location = System::Drawing::Point(312, 16);
			this->textBox13->Name = S"textBox13";
			this->textBox13->Size = System::Drawing::Size(64, 22);
			this->textBox13->TabIndex = 32;
			this->textBox13->Tag = S"Item1_Slot1Rate";
			this->textBox13->Text = S"0";
			this->textBox13->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label11
			// 
			this->label11->Location = System::Drawing::Point(280, 16);
			this->label11->Name = S"label11";
			this->label11->Size = System::Drawing::Size(32, 23);
			this->label11->TabIndex = 31;
			this->label11->Text = S"機率";
			// 
			// label12
			// 
			this->label12->Location = System::Drawing::Point(192, 16);
			this->label12->Name = S"label12";
			this->label12->Size = System::Drawing::Size(32, 16);
			this->label12->TabIndex = 30;
			this->label12->Text = S"數量";
			// 
			// numericUpDown19
			// 
			this->numericUpDown19->Location = System::Drawing::Point(224, 16);
			this->numericUpDown19->Name = S"numericUpDown19";
			this->numericUpDown19->Size = System::Drawing::Size(48, 22);
			this->numericUpDown19->TabIndex = 29;
			this->numericUpDown19->Tag = S"Item1_Slot1Count";
			this->numericUpDown19->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown19->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// LB_Item1_Slot1
			// 
			this->LB_Item1_Slot1->Location = System::Drawing::Point(8, 16);
			this->LB_Item1_Slot1->Name = S"LB_Item1_Slot1";
			this->LB_Item1_Slot1->Size = System::Drawing::Size(72, 16);
			this->LB_Item1_Slot1->TabIndex = 3;
			this->LB_Item1_Slot1->Text = S"label7";
			// 
			// textBox14
			// 
			this->textBox14->Location = System::Drawing::Point(80, 16);
			this->textBox14->Name = S"textBox14";
			this->textBox14->Size = System::Drawing::Size(100, 22);
			this->textBox14->TabIndex = 2;
			this->textBox14->Tag = S"Item1_Slot1";
			this->textBox14->Text = S"0";
			this->textBox14->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox14->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// groupBox8
			// 
			this->groupBox8->Controls->Add(this->LB_Item1_HQRate);
			this->groupBox8->Controls->Add(this->textBox11);
			this->groupBox8->Controls->Add(this->label7);
			this->groupBox8->Controls->Add(this->label8);
			this->groupBox8->Controls->Add(this->numericUpDown18);
			this->groupBox8->Controls->Add(this->LB_Item1_HQ);
			this->groupBox8->Controls->Add(this->textBox12);
			this->groupBox8->Location = System::Drawing::Point(16, 80);
			this->groupBox8->Name = S"groupBox8";
			this->groupBox8->Size = System::Drawing::Size(472, 48);
			this->groupBox8->TabIndex = 1;
			this->groupBox8->TabStop = false;
			this->groupBox8->Text = S"HQ品";
			// 
			// LB_Item1_HQRate
			// 
			this->LB_Item1_HQRate->Location = System::Drawing::Point(384, 16);
			this->LB_Item1_HQRate->Name = S"LB_Item1_HQRate";
			this->LB_Item1_HQRate->Size = System::Drawing::Size(48, 16);
			this->LB_Item1_HQRate->TabIndex = 33;
			this->LB_Item1_HQRate->Text = S"label7";
			// 
			// textBox11
			// 
			this->textBox11->Location = System::Drawing::Point(312, 16);
			this->textBox11->Name = S"textBox11";
			this->textBox11->Size = System::Drawing::Size(64, 22);
			this->textBox11->TabIndex = 32;
			this->textBox11->Tag = S"Item1_HQRate";
			this->textBox11->Text = S"0";
			this->textBox11->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label7
			// 
			this->label7->Location = System::Drawing::Point(280, 16);
			this->label7->Name = S"label7";
			this->label7->Size = System::Drawing::Size(32, 23);
			this->label7->TabIndex = 31;
			this->label7->Text = S"機率";
			// 
			// label8
			// 
			this->label8->Location = System::Drawing::Point(192, 16);
			this->label8->Name = S"label8";
			this->label8->Size = System::Drawing::Size(32, 16);
			this->label8->TabIndex = 30;
			this->label8->Text = S"數量";
			// 
			// numericUpDown18
			// 
			this->numericUpDown18->Location = System::Drawing::Point(224, 16);
			this->numericUpDown18->Name = S"numericUpDown18";
			this->numericUpDown18->Size = System::Drawing::Size(48, 22);
			this->numericUpDown18->TabIndex = 29;
			this->numericUpDown18->Tag = S"Item1_HQCount";
			this->numericUpDown18->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown18->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// LB_Item1_HQ
			// 
			this->LB_Item1_HQ->Location = System::Drawing::Point(8, 16);
			this->LB_Item1_HQ->Name = S"LB_Item1_HQ";
			this->LB_Item1_HQ->Size = System::Drawing::Size(72, 16);
			this->LB_Item1_HQ->TabIndex = 3;
			this->LB_Item1_HQ->Text = S"label7";
			// 
			// textBox12
			// 
			this->textBox12->Location = System::Drawing::Point(80, 16);
			this->textBox12->Name = S"textBox12";
			this->textBox12->Size = System::Drawing::Size(100, 22);
			this->textBox12->TabIndex = 2;
			this->textBox12->Tag = S"Item1_HQ";
			this->textBox12->Text = S"0";
			this->textBox12->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox12->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// groupBox7
			// 
			this->groupBox7->Controls->Add(this->LB_Item1_NormalRate);
			this->groupBox7->Controls->Add(this->textBox10);
			this->groupBox7->Controls->Add(this->label4);
			this->groupBox7->Controls->Add(this->label3);
			this->groupBox7->Controls->Add(this->numericUpDown17);
			this->groupBox7->Controls->Add(this->LB_Item1_Normal);
			this->groupBox7->Controls->Add(this->textBox3);
			this->groupBox7->Location = System::Drawing::Point(16, 24);
			this->groupBox7->Name = S"groupBox7";
			this->groupBox7->Size = System::Drawing::Size(472, 48);
			this->groupBox7->TabIndex = 0;
			this->groupBox7->TabStop = false;
			this->groupBox7->Text = S"一般品";
			// 
			// LB_Item1_NormalRate
			// 
			this->LB_Item1_NormalRate->Location = System::Drawing::Point(384, 16);
			this->LB_Item1_NormalRate->Name = S"LB_Item1_NormalRate";
			this->LB_Item1_NormalRate->Size = System::Drawing::Size(48, 16);
			this->LB_Item1_NormalRate->TabIndex = 33;
			this->LB_Item1_NormalRate->Text = S"label7";
			// 
			// textBox10
			// 
			this->textBox10->Location = System::Drawing::Point(312, 16);
			this->textBox10->Name = S"textBox10";
			this->textBox10->Size = System::Drawing::Size(64, 22);
			this->textBox10->TabIndex = 32;
			this->textBox10->Tag = S"Item1_NormalRate";
			this->textBox10->Text = S"0";
			this->textBox10->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// label4
			// 
			this->label4->Location = System::Drawing::Point(280, 16);
			this->label4->Name = S"label4";
			this->label4->Size = System::Drawing::Size(32, 23);
			this->label4->TabIndex = 31;
			this->label4->Text = S"機率";
			// 
			// label3
			// 
			this->label3->Location = System::Drawing::Point(192, 16);
			this->label3->Name = S"label3";
			this->label3->Size = System::Drawing::Size(32, 16);
			this->label3->TabIndex = 30;
			this->label3->Text = S"數量";
			// 
			// numericUpDown17
			// 
			this->numericUpDown17->Location = System::Drawing::Point(224, 16);
			this->numericUpDown17->Name = S"numericUpDown17";
			this->numericUpDown17->Size = System::Drawing::Size(48, 22);
			this->numericUpDown17->TabIndex = 29;
			this->numericUpDown17->Tag = S"Item1_NormalCount";
			System::Int32 __mcTemp__8[] = new System::Int32[4];
			__mcTemp__8[0] = 1;
			__mcTemp__8[1] = 0;
			__mcTemp__8[2] = 0;
			__mcTemp__8[3] = 0;
			this->numericUpDown17->Value = System::Decimal(__mcTemp__8);
			this->numericUpDown17->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown17->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// LB_Item1_Normal
			// 
			this->LB_Item1_Normal->Location = System::Drawing::Point(8, 16);
			this->LB_Item1_Normal->Name = S"LB_Item1_Normal";
			this->LB_Item1_Normal->Size = System::Drawing::Size(72, 16);
			this->LB_Item1_Normal->TabIndex = 3;
			this->LB_Item1_Normal->Text = S"label7";
			// 
			// textBox3
			// 
			this->textBox3->Location = System::Drawing::Point(80, 16);
			this->textBox3->Name = S"textBox3";
			this->textBox3->Size = System::Drawing::Size(100, 22);
			this->textBox3->TabIndex = 2;
			this->textBox3->Tag = S"Item1_Normal";
			this->textBox3->Text = S"0";
			this->textBox3->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox3->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// groupBox1
			// 
			this->groupBox1->Controls->Add(this->groupBox3);
			this->groupBox1->Controls->Add(this->groupBox4);
			this->groupBox1->Controls->Add(this->groupBox2);
			this->groupBox1->Location = System::Drawing::Point(12, 264);
			this->groupBox1->Name = S"groupBox1";
			this->groupBox1->Size = System::Drawing::Size(376, 256);
			this->groupBox1->TabIndex = 0;
			this->groupBox1->TabStop = false;
			this->groupBox1->Text = S"合成原料";
			// 
			// groupBox3
			// 
			this->groupBox3->Controls->Add(this->numericUpDown9);
			this->groupBox3->Controls->Add(this->numericUpDown10);
			this->groupBox3->Controls->Add(this->numericUpDown11);
			this->groupBox3->Controls->Add(this->numericUpDown12);
			this->groupBox3->Controls->Add(this->numericUpDown13);
			this->groupBox3->Controls->Add(this->numericUpDown14);
			this->groupBox3->Controls->Add(this->numericUpDown15);
			this->groupBox3->Controls->Add(this->numericUpDown16);
			this->groupBox3->Location = System::Drawing::Point(288, 24);
			this->groupBox3->Name = S"groupBox3";
			this->groupBox3->Size = System::Drawing::Size(80, 224);
			this->groupBox3->TabIndex = 7;
			this->groupBox3->TabStop = false;
			this->groupBox3->Text = S"拆解率(%)";
			// 
			// numericUpDown9
			// 
			this->numericUpDown9->Location = System::Drawing::Point(16, 192);
			this->numericUpDown9->Name = S"numericUpDown9";
			this->numericUpDown9->Size = System::Drawing::Size(48, 22);
			this->numericUpDown9->TabIndex = 35;
			this->numericUpDown9->Tag = S"SourceReduce8";
			this->numericUpDown9->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown9->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown10
			// 
			this->numericUpDown10->Location = System::Drawing::Point(16, 168);
			this->numericUpDown10->Name = S"numericUpDown10";
			this->numericUpDown10->Size = System::Drawing::Size(48, 22);
			this->numericUpDown10->TabIndex = 34;
			this->numericUpDown10->Tag = S"SourceReduce7";
			this->numericUpDown10->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown10->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown11
			// 
			this->numericUpDown11->Location = System::Drawing::Point(16, 144);
			this->numericUpDown11->Name = S"numericUpDown11";
			this->numericUpDown11->Size = System::Drawing::Size(48, 22);
			this->numericUpDown11->TabIndex = 33;
			this->numericUpDown11->Tag = S"SourceReduce6";
			this->numericUpDown11->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown11->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown12
			// 
			this->numericUpDown12->Location = System::Drawing::Point(16, 120);
			this->numericUpDown12->Name = S"numericUpDown12";
			this->numericUpDown12->Size = System::Drawing::Size(48, 22);
			this->numericUpDown12->TabIndex = 32;
			this->numericUpDown12->Tag = S"SourceReduce5";
			this->numericUpDown12->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown12->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown13
			// 
			this->numericUpDown13->Location = System::Drawing::Point(16, 96);
			this->numericUpDown13->Name = S"numericUpDown13";
			this->numericUpDown13->Size = System::Drawing::Size(48, 22);
			this->numericUpDown13->TabIndex = 31;
			this->numericUpDown13->Tag = S"SourceReduce4";
			this->numericUpDown13->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown13->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown14
			// 
			this->numericUpDown14->Location = System::Drawing::Point(16, 72);
			this->numericUpDown14->Name = S"numericUpDown14";
			this->numericUpDown14->Size = System::Drawing::Size(48, 22);
			this->numericUpDown14->TabIndex = 30;
			this->numericUpDown14->Tag = S"SourceReduce3";
			this->numericUpDown14->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown14->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown15
			// 
			this->numericUpDown15->Location = System::Drawing::Point(16, 48);
			this->numericUpDown15->Name = S"numericUpDown15";
			this->numericUpDown15->Size = System::Drawing::Size(48, 22);
			this->numericUpDown15->TabIndex = 29;
			this->numericUpDown15->Tag = S"SourceReduce2";
			this->numericUpDown15->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown15->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown16
			// 
			this->numericUpDown16->Location = System::Drawing::Point(16, 24);
			this->numericUpDown16->Name = S"numericUpDown16";
			this->numericUpDown16->Size = System::Drawing::Size(48, 22);
			this->numericUpDown16->TabIndex = 28;
			this->numericUpDown16->Tag = S"SourceReduce1";
			this->numericUpDown16->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown16->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// groupBox4
			// 
			this->groupBox4->Controls->Add(this->numericUpDown8);
			this->groupBox4->Controls->Add(this->numericUpDown7);
			this->groupBox4->Controls->Add(this->numericUpDown6);
			this->groupBox4->Controls->Add(this->numericUpDown5);
			this->groupBox4->Controls->Add(this->numericUpDown4);
			this->groupBox4->Controls->Add(this->numericUpDown3);
			this->groupBox4->Controls->Add(this->numericUpDown2);
			this->groupBox4->Controls->Add(this->numericUpDown1);
			this->groupBox4->Location = System::Drawing::Point(216, 24);
			this->groupBox4->Name = S"groupBox4";
			this->groupBox4->Size = System::Drawing::Size(64, 224);
			this->groupBox4->TabIndex = 6;
			this->groupBox4->TabStop = false;
			this->groupBox4->Text = S"所需量";
			// 
			// numericUpDown8
			// 
			this->numericUpDown8->Location = System::Drawing::Point(8, 192);
			this->numericUpDown8->Name = S"numericUpDown8";
			this->numericUpDown8->Size = System::Drawing::Size(48, 22);
			this->numericUpDown8->TabIndex = 27;
			this->numericUpDown8->Tag = S"SourceCount8";
			this->numericUpDown8->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown8->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown7
			// 
			this->numericUpDown7->Location = System::Drawing::Point(8, 168);
			this->numericUpDown7->Name = S"numericUpDown7";
			this->numericUpDown7->Size = System::Drawing::Size(48, 22);
			this->numericUpDown7->TabIndex = 26;
			this->numericUpDown7->Tag = S"SourceCount7";
			this->numericUpDown7->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown7->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown6
			// 
			this->numericUpDown6->Location = System::Drawing::Point(8, 144);
			this->numericUpDown6->Name = S"numericUpDown6";
			this->numericUpDown6->Size = System::Drawing::Size(48, 22);
			this->numericUpDown6->TabIndex = 25;
			this->numericUpDown6->Tag = S"SourceCount6";
			this->numericUpDown6->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown6->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown5
			// 
			this->numericUpDown5->Location = System::Drawing::Point(8, 120);
			this->numericUpDown5->Name = S"numericUpDown5";
			this->numericUpDown5->Size = System::Drawing::Size(48, 22);
			this->numericUpDown5->TabIndex = 24;
			this->numericUpDown5->Tag = S"SourceCount5";
			this->numericUpDown5->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown5->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown4
			// 
			this->numericUpDown4->Location = System::Drawing::Point(8, 96);
			this->numericUpDown4->Name = S"numericUpDown4";
			this->numericUpDown4->Size = System::Drawing::Size(48, 22);
			this->numericUpDown4->TabIndex = 23;
			this->numericUpDown4->Tag = S"SourceCount4";
			this->numericUpDown4->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown4->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown3
			// 
			this->numericUpDown3->Location = System::Drawing::Point(8, 72);
			this->numericUpDown3->Name = S"numericUpDown3";
			this->numericUpDown3->Size = System::Drawing::Size(48, 22);
			this->numericUpDown3->TabIndex = 22;
			this->numericUpDown3->Tag = S"SourceCount3";
			this->numericUpDown3->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown3->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown2
			// 
			this->numericUpDown2->Location = System::Drawing::Point(8, 48);
			this->numericUpDown2->Name = S"numericUpDown2";
			this->numericUpDown2->Size = System::Drawing::Size(48, 22);
			this->numericUpDown2->TabIndex = 21;
			this->numericUpDown2->Tag = S"SourceCount2";
			this->numericUpDown2->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown2->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// numericUpDown1
			// 
			this->numericUpDown1->Location = System::Drawing::Point(8, 24);
			this->numericUpDown1->Name = S"numericUpDown1";
			this->numericUpDown1->Size = System::Drawing::Size(48, 22);
			this->numericUpDown1->TabIndex = 20;
			this->numericUpDown1->Tag = S"SourceCount1";
			this->numericUpDown1->ValueChanged += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			this->numericUpDown1->Leave += new System::EventHandler(this, &RecipeForm::GetValue_ValueChanged);
			// 
			// groupBox2
			// 
			this->groupBox2->Controls->Add(this->LB_Source8);
			this->groupBox2->Controls->Add(this->textBox2);
			this->groupBox2->Controls->Add(this->LB_Source7);
			this->groupBox2->Controls->Add(this->textBox9);
			this->groupBox2->Controls->Add(this->LB_Source6);
			this->groupBox2->Controls->Add(this->textBox8);
			this->groupBox2->Controls->Add(this->LB_Source5);
			this->groupBox2->Controls->Add(this->textBox7);
			this->groupBox2->Controls->Add(this->LB_Source4);
			this->groupBox2->Controls->Add(this->textBox6);
			this->groupBox2->Controls->Add(this->LB_Source3);
			this->groupBox2->Controls->Add(this->textBox5);
			this->groupBox2->Controls->Add(this->LB_Source2);
			this->groupBox2->Controls->Add(this->textBox4);
			this->groupBox2->Controls->Add(this->LB_Source1);
			this->groupBox2->Controls->Add(this->textBox1);
			this->groupBox2->Location = System::Drawing::Point(8, 24);
			this->groupBox2->Name = S"groupBox2";
			this->groupBox2->Size = System::Drawing::Size(200, 224);
			this->groupBox2->TabIndex = 4;
			this->groupBox2->TabStop = false;
			this->groupBox2->Text = S"原料";
			// 
			// LB_Source8
			// 
			this->LB_Source8->Location = System::Drawing::Point(120, 200);
			this->LB_Source8->Name = S"LB_Source8";
			this->LB_Source8->Size = System::Drawing::Size(72, 16);
			this->LB_Source8->TabIndex = 15;
			this->LB_Source8->Text = S"label11";
			// 
			// textBox2
			// 
			this->textBox2->Location = System::Drawing::Point(16, 192);
			this->textBox2->Name = S"textBox2";
			this->textBox2->Size = System::Drawing::Size(100, 22);
			this->textBox2->TabIndex = 14;
			this->textBox2->Tag = S"Source8";
			this->textBox2->Text = S"0";
			this->textBox2->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox2->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// LB_Source7
			// 
			this->LB_Source7->Location = System::Drawing::Point(120, 176);
			this->LB_Source7->Name = S"LB_Source7";
			this->LB_Source7->Size = System::Drawing::Size(72, 16);
			this->LB_Source7->TabIndex = 13;
			this->LB_Source7->Text = S"label11";
			// 
			// textBox9
			// 
			this->textBox9->Location = System::Drawing::Point(16, 168);
			this->textBox9->Name = S"textBox9";
			this->textBox9->Size = System::Drawing::Size(100, 22);
			this->textBox9->TabIndex = 12;
			this->textBox9->Tag = S"Source7";
			this->textBox9->Text = S"0";
			this->textBox9->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox9->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// LB_Source6
			// 
			this->LB_Source6->Location = System::Drawing::Point(120, 152);
			this->LB_Source6->Name = S"LB_Source6";
			this->LB_Source6->Size = System::Drawing::Size(72, 16);
			this->LB_Source6->TabIndex = 11;
			this->LB_Source6->Text = S"label10";
			// 
			// textBox8
			// 
			this->textBox8->Location = System::Drawing::Point(16, 144);
			this->textBox8->Name = S"textBox8";
			this->textBox8->Size = System::Drawing::Size(100, 22);
			this->textBox8->TabIndex = 10;
			this->textBox8->Tag = S"Source6";
			this->textBox8->Text = S"0";
			this->textBox8->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox8->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// LB_Source5
			// 
			this->LB_Source5->Location = System::Drawing::Point(120, 128);
			this->LB_Source5->Name = S"LB_Source5";
			this->LB_Source5->Size = System::Drawing::Size(72, 16);
			this->LB_Source5->TabIndex = 9;
			this->LB_Source5->Text = S"label9";
			// 
			// textBox7
			// 
			this->textBox7->Location = System::Drawing::Point(16, 120);
			this->textBox7->Name = S"textBox7";
			this->textBox7->Size = System::Drawing::Size(100, 22);
			this->textBox7->TabIndex = 8;
			this->textBox7->Tag = S"Source5";
			this->textBox7->Text = S"0";
			this->textBox7->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox7->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// LB_Source4
			// 
			this->LB_Source4->Location = System::Drawing::Point(120, 104);
			this->LB_Source4->Name = S"LB_Source4";
			this->LB_Source4->Size = System::Drawing::Size(72, 16);
			this->LB_Source4->TabIndex = 7;
			this->LB_Source4->Text = S"label6";
			// 
			// textBox6
			// 
			this->textBox6->Location = System::Drawing::Point(16, 96);
			this->textBox6->Name = S"textBox6";
			this->textBox6->Size = System::Drawing::Size(100, 22);
			this->textBox6->TabIndex = 6;
			this->textBox6->Tag = S"Source4";
			this->textBox6->Text = S"0";
			this->textBox6->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox6->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// LB_Source3
			// 
			this->LB_Source3->Location = System::Drawing::Point(120, 80);
			this->LB_Source3->Name = S"LB_Source3";
			this->LB_Source3->Size = System::Drawing::Size(72, 16);
			this->LB_Source3->TabIndex = 5;
			this->LB_Source3->Text = S"label5";
			// 
			// textBox5
			// 
			this->textBox5->Location = System::Drawing::Point(16, 72);
			this->textBox5->Name = S"textBox5";
			this->textBox5->Size = System::Drawing::Size(100, 22);
			this->textBox5->TabIndex = 4;
			this->textBox5->Tag = S"Source3";
			this->textBox5->Text = S"0";
			this->textBox5->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox5->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// LB_Source2
			// 
			this->LB_Source2->Location = System::Drawing::Point(120, 56);
			this->LB_Source2->Name = S"LB_Source2";
			this->LB_Source2->Size = System::Drawing::Size(72, 16);
			this->LB_Source2->TabIndex = 3;
			this->LB_Source2->Text = S"label4";
			// 
			// textBox4
			// 
			this->textBox4->Location = System::Drawing::Point(16, 48);
			this->textBox4->Name = S"textBox4";
			this->textBox4->Size = System::Drawing::Size(100, 22);
			this->textBox4->TabIndex = 2;
			this->textBox4->Tag = S"Source2";
			this->textBox4->Text = S"0";
			this->textBox4->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox4->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// LB_Source1
			// 
			this->LB_Source1->Location = System::Drawing::Point(120, 32);
			this->LB_Source1->Name = S"LB_Source1";
			this->LB_Source1->Size = System::Drawing::Size(72, 16);
			this->LB_Source1->TabIndex = 1;
			this->LB_Source1->Text = S"label7";
			// 
			// textBox1
			// 
			this->textBox1->Location = System::Drawing::Point(16, 24);
			this->textBox1->Name = S"textBox1";
			this->textBox1->Size = System::Drawing::Size(100, 22);
			this->textBox1->TabIndex = 0;
			this->textBox1->Tag = S"Source1";
			this->textBox1->Text = S"0";
			this->textBox1->DoubleClick += new System::EventHandler(this, &RecipeForm::SearchObj_DClick);
			this->textBox1->TextChanged += new System::EventHandler(this, &RecipeForm::GetIntValue_TextChanged);
			// 
			// RecipeForm
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(5, 15);
			this->ClientSize = System::Drawing::Size(904, 766);
			this->Controls->Add(this->panel1);
			this->Name = S"RecipeForm";
			this->Text = S"RecipeForm";
			this->panel1->ResumeLayout(false);
			this->groupBox19->ResumeLayout(false);
			this->groupBox19->PerformLayout();
			this->groupBox18->ResumeLayout(false);
			this->groupBox18->PerformLayout();
			this->groupBox17->ResumeLayout(false);
			this->groupBox16->ResumeLayout(false);
			this->groupBox16->PerformLayout();
			this->groupBox15->ResumeLayout(false);
			this->groupBox15->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown26))->EndInit();
			this->groupBox14->ResumeLayout(false);
			this->groupBox14->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown25))->EndInit();
			this->groupBox13->ResumeLayout(false);
			this->groupBox13->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown24))->EndInit();
			this->groupBox6->ResumeLayout(false);
			this->groupBox6->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown23))->EndInit();
			this->groupBox5->ResumeLayout(false);
			this->groupBox12->ResumeLayout(false);
			this->groupBox12->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown22))->EndInit();
			this->groupBox11->ResumeLayout(false);
			this->groupBox11->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown21))->EndInit();
			this->groupBox10->ResumeLayout(false);
			this->groupBox10->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown20))->EndInit();
			this->groupBox9->ResumeLayout(false);
			this->groupBox9->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown19))->EndInit();
			this->groupBox8->ResumeLayout(false);
			this->groupBox8->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown18))->EndInit();
			this->groupBox7->ResumeLayout(false);
			this->groupBox7->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown17))->EndInit();
			this->groupBox1->ResumeLayout(false);
			this->groupBox3->ResumeLayout(false);
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown9))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown10))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown11))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown12))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown13))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown14))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown15))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown16))->EndInit();
			this->groupBox4->ResumeLayout(false);
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown8))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown7))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown6))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown5))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown4))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown3))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown2))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown1))->EndInit();
			this->groupBox2->ResumeLayout(false);
			this->groupBox2->PerformLayout();
			this->ResumeLayout(false);

		}		

#ifndef _Just_Show_DotNet_Form_
    private:
        System::Void GetStr_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetValue_ValueChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void ChangeFlag(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIndex_SelectedIndexChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIntValue_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void BaseForm_Closing(System::Object *  sender, System::ComponentModel::CancelEventArgs *  e);
        System::Void SearchObj_DClick(System::Object *  sender, System::EventArgs *  e);
		System::Void SearchKeyItemClick(System::Object *  sender, System::EventArgs *  e);
		System::Void GetFloatValue_TextChanged(System::Object*  sender, System::EventArgs*  e);
#endif
        //######################################################################################################
    protected:
        //主要需要繼承的涵式
        virtual ReaderClass< DB_GameObjDbStruct >* ObjReader( );       
        virtual void    OnActive();
        virtual void    OnSelectObj( bool LockOk );
        virtual void    OnOutputObjSetting( DB_GameObjDbStruct* TempObj );
        virtual void    OnTimeProc();
        virtual int     ObjSize();
        virtual void    OnValueChange( );
        //######################################################################################################
		System::Void ChangeMode(System::Object *  sender, System::EventArgs *  e);
	
};
}